Skip to Content
veriom

Update webhook

PATCH
/v1/workspaces/{workspace_id}/webhooks/{subscription_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
subscription_id*Subscription Id
Formatuuid

Request Body

application/json
  1. body
active?boolean|null
branch_ref?|null
events?array<string>|null
name?|null
origin?|null
repository_id?|null
url?|null

Response Body

Successful Response

application/json
  1. response
active*Active
branch_ref?string|null
created_at*Created At
Formatdate-time
events*array<string>
id*Id
Formatuuid
kind*Kind
Value in"webhook""slack""discord""jira""siem""policy"
name*Name
origin?Origin
Default"all"
Value in"all""manual""schedule""github"
repository_id?|null
url*Url
Example Request
curl -X PATCH 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "active": true,  "branch_ref": "string",  "created_at": "2019-08-24T14:15:22Z",  "events": [    "string"  ],  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "webhook",  "name": "string",  "origin": "all",  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",  "url": "string"}